### Method

# Gimp Image get_colormap

#### Declaration [src]

    guchar*
    gimp_image_get_colormap (
      GimpImage* image,
      gint* num_colors
    )

#### Description [src]

Returns the image’s colormap

This procedure returns an actual pointer to the image’s colormap, as well as the number of colors contained in the colormap. If the image is not of base type INDEXED, this pointer will be NULL.

#### Parameters

`num_colors` | `gint*`
| Returns the number of colors in the colormap array.
| The argument will be set by the function.

#### Return value

Returns: | An array of `guchar`
| The image’s colormap.
| The data is owned by the instance.